# Function: readNxJson

▸ **readNxJson**(): [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration) \| `null`

**`Deprecated`**

You must pass a [Tree](../../devkit/documents/Tree)

#### Returns

[`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration) \| `null`

▸ **readNxJson**(`tree`): [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration) \| `null`

Reads nx.json

#### Parameters

| Name   | Type                                  |
| :----- | :------------------------------------ |
| `tree` | [`Tree`](../../devkit/documents/Tree) |

#### Returns

[`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration) \| `null`
